<template>
    <el-form 
        :model="form" 
        :disabled="disabled"
        label-width="140px"
        size="small"
        style="position: relative;"
    >
        <el-card :body-style="{ height: '350px', overflow: 'auto'}">
            <el-form-item label="责任部门">
                <el-select
                    v-model="form.causeAnalysisPersonId" 
                    placeholder="请选择"
                    style="width: 100%"
                >
                    <el-option
                        v-for="(item, index) in userList"
                        :key="index"
                        :label="item.name"
                        :value="item.id"
                    ></el-option>
                </el-select>
            </el-form-item>
            <el-form-item label="原因分析">
                <el-input type="textarea"
                    v-model="form.causeAnalysis"
                    :rows="2"
                    placeholder="请输入内容"
                >
                </el-input>
            </el-form-item>
        </el-card>
        <el-form-item label-width="0">
            <div style="display: flex; width: 100%; justify-content: space-between; margin-top: 15px;">
                <div>
                    <span>操作人：{{ currentResponsible }}</span>
                </div>
                <div v-if="step == 1">
                    <el-button :disabled="false" @click="cancel">驳回</el-button>
                    <el-button type="primary" @click="submit">提交</el-button>
                </div>
            </div>
        </el-form-item>
    </el-form>
</template>
<script>
export default {
    props: {
        currentResponsible: {
            type: String,
            default: ''
        },
        userList: {
            type: Array,
            default: []
        },
        reasonForm: {
            type: Object,
            default: {}
        },
        step: {
            type: Number,
            default: 0
        },
        disabled: {
            type: Boolean,
            default: false
        }
    },
    computed: {
        form: {
            get() {
                return this.reasonForm
            },
            set(val) {
                this.$emit('update:reasonForm', val)
            }
        }
    },
    data() {
        return {
            
        }
    },
    methods: {
        submit() {
            this.$emit('nextStep', 'submit')
        },
        save() {
            this.$emit('nextStep', 'save')
        },
        cancel() {
            this.$emit('cancel', 'cancel')
        }
    }
}
</script>